Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.xml
Class XMLWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              org.apache.openjpa.lib.xml.XMLWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class XMLWriter

extends FilterWriter

The XMLWriter is a writer type for pretty-printing XML. It assumes that the streamed XML will be given without any whitespace, other than the space within text blocks.

Author:
  Abe White

Field Summary

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`XMLWriter(Writer out)` Construct an XMLWriter that will write to the given stream.

Method Summary
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.io.FilterWriter
`close, flush`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLWriter

    public XMLWriter(Writer out)

  Construct an XMLWriter that will write to the given stream.

Method Detail

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `FilterWriter`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `FilterWriter`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `FilterWriter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.